n, m, k = map(int, input().split()) # считываем n, m и k

horizontally = n // k # количество фонарей по горизонтали
if n % k != 0: # если есть остаток от деления
    horizontally += 1 # добавляем один фонарь

vertically = m // k # количество фонарей по вертикали
if m % k != 0: # если есть остаток от деления
    vertically += 1 # добавляем один фонарь

total = horizontally * vertically # общее количество фонарей
print(total) # выводим результат